#!/bin/bash

# Instalace nezbytných balíčků
sudo pacman -S --needed --noconfirm git base-devel

# Klonování repozitáře yay z AUR
cd /opt
sudo git clone https://aur.archlinux.org/yay.git
sudo chown -R $(whoami):$(whoami) yay

# Kompilace a instalace yay
cd yay
makepkg -si

# Kontrola instalace
if command -v yay &> /dev/null
then
    echo "yay byl úspěšně nainstalován."
else
    echo "Instalace yay selhala."
fi
